---
title: 'ARIA: Listitem role'
slug: Web/Accessibility/ARIA/Roles/Listitem_role
tags:
  - ARIA
  - ARIA Role
  - ARIA listitem
  - Accessibility
  - Reference
  - Rôle
  - listitem
---
<div>{{Page("/en-US/docs/Web/Accessibility/ARIA/Roles", "Subnav")}}</div>

<p class="summary">The ARIA <code>listitem</code> role can be used to identify an item inside a list of items. It is normally used in conjunction with the <code>list</code> role, which is used to identify a list container.</p>

<pre class="brush: html">&lt;section role="list"&gt;
  &lt;div role="listitem"&gt;List item 1&lt;/div&gt;
  &lt;div role="listitem"&gt;List item 2&lt;/div&gt;
  &lt;div role="listitem"&gt;List item 3&lt;/div&gt;
&lt;/section&gt;
</pre>

<h2 id="Description">Description</h2>

<p>Any content that consists of an outer container with a list of elements inside it can be identified to assistive technologies using the <code>list</code> and <code>listitem</code> containers respectively.</p>

<p>There are no hard and fast rules about which elements you should use to markup the list and list items, but you should make sure that the list items make sense in the context of a list, e.g. a shopping list, recipe steps, driving directions.</p>

<div class="warning">
<p><strong>Warning</strong>: If at all possible in your work, you should use the appropriate semantic HTML elements to mark up a list and its listitems — {{htmlelement("ul")}}/{{htmlelement("ol")}} and {{htmlelement("li")}}. See {{anch("Best practices")}} for a full example.</p>
</div>

<h3 id="Associated_WAI-ARIA_Roles_States_and_Properties">Associated WAI-ARIA Roles, States, and Properties</h3>

<dl>
 <dt><a href="/en-US/docs/Web/Accessibility/ARIA/Roles/List_role">list</a></dt>
 <dd>
 <p>A list of items. Elements with role <code>list</code> must have one or more elements with the role <code>listitem</code> as children, a one or more elements with the role of <code>group</code> that have one or more elements with the <code>listitem</code> role as children.</p>
 </dd>
 <dt><a class="new" href="/en-US/docs/Web/Accessibility/ARIA/Roles/Group_role" rel="nofollow">group</a></dt>
 <dd>
 <p>A collection of related objects, limited to list items when nested in a list, not important enough to have their own place in a pages table of contents.</p>
 </dd>
</dl>

<h3 id="Keyboard_Interactions">Keyboard Interactions</h3>

<p>None.</p>

<h3 id="Required_JavaScript_features">Required JavaScript features</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<p> <a href="https://www.scottohara.me/blog/2018/05/26/aria-lists.html">ARIA Lists</a> — some useful examples and thoughts by Scott O'Hara</p>

<h2 id="Best_practices">Best practices</h2>

<p>Only use <code>role="list"</code> and <code>role="listitem"</code> if you have to — for example if you don't have control over your HTML but are able to improve accessibility dynamically after the fact with JavaScript.</p>

<p>If at all possible, you should use the appropriate semantic HTML elements to mark up a list and listitems — {{htmlelement("ol")}}/{{htmlelement("ul")}} and {{htmlelement("li")}}. For example, our above example should be rewritten as follows:</p>

<pre class="brush: html">&lt;ul&gt;
  &lt;li&gt;List item 1&lt;/li&gt;
  &lt;li&gt;List item 2&lt;/li&gt;
  &lt;li&gt;List item 3&lt;/li&gt;
&lt;/ul&gt;</pre>

<p>or use an ordered list if the order of the list items matters:</p>

<pre class="brush: html">&lt;ol&gt;
  &lt;li&gt;List item 1&lt;/li&gt;
  &lt;li&gt;List item 2&lt;/li&gt;
  &lt;li&gt;List item 3&lt;/li&gt;
&lt;/ol&gt;</pre>

<div class="note">
<p><strong>Note</strong>: The ARIA list/listitem roles don't distinguish between ordered and unordered lists.</p>
</div>

<div class="note">
<p><strong>Note</strong>: If you are marking up a list of items that will function as a tabbed interface, you should instead use the <code>tab</code>, <code>tabpanel</code>, and <code>tablist</code> roles.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName("ARIA","#listitem","listitem")}}</td>
   <td>{{Spec2('ARIA')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Screen_reader_support">Screen reader support</h2>

<p>TBD</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://wicg.github.io/aom/spec/">Accessibility Object Model</a></li>
 <li><a href="https://w3c.github.io/html-aria/">ARIA in HTML</a></li>
 <li><a href="/en-US/docs/Web/HTML/Element/li" title="The HTML &lt;li&gt; element is used to represent an item in a list. It must be contained in a parent element: an ordered list (&lt;ol&gt;), an unordered list (&lt;ul&gt;), or a menu (&lt;menu&gt;). In menus and unordered lists, list items are usually displayed using bullet points. In ordered lists, they are usually displayed with an ascending counter on the left, such as a number or letter.">HTML <code>&lt;li&gt;</code> element</a></li>
 <li><a href="/en-US/docs/Web/HTML/Element/ul" title="The HTML &lt;ul&gt; element represents an unordered list of items, typically rendered as a bulleted list.">HTML <code>&lt;ul&gt;</code> element</a></li>
 <li><a href="/en-US/docs/Web/HTML/Element/ol" title="The HTML &lt;ol&gt; element represents an ordered list of items, typically rendered as a numbered list.">HTML <code>&lt;ol&gt;</code> element</a></li>
 <li><a href="/en-US/docs/Web/Accessibility/ARIA/Roles/List_role">ARIA: list role</a></li>
 <li><a class="new" href="/en-US/docs/Web/Accessibility/ARIA/Roles/Group_role" rel="nofollow">ARIA: group role</a></li>
</ul>
